Match
- PATCH
- /workspaces
- /:workspace
- /targets
- /:target_id
Update Match target configuration
Request
REQUIRED SCOPES
TARGET_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
target_idrequiredstring
Target unique identifier (hash ID)Example: "tgt-1234567890abcdef"
POST PARAMETERS
typestring enum
The type of the targetAllowed enum:
MATCHurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationall_pipelines_allowedboolean
Indicates if all pipelines are allowed to use this targetallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetConstraints: Unique items required
disabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
scopestring enum
The scope of the target filterAllowed enum:
WORKSPACE,PROJECT,ENVIRONMENT,PIPELINE,ACTION,ANYResponse
RESPONSE BODY
typestring enum
The type of the targetAllowed enum:
MATCHurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationall_pipelines_allowedboolean
Indicates if all pipelines are allowed to use this targetallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetConstraints: Unique items required
disabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
scopestring enum
The scope of the target filterAllowed enum:
WORKSPACE,PROJECT,ENVIRONMENT,PIPELINE,ACTION,ANYLast modified on Feb 18, 2026
Request example
CURLcurl -X PATCH "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS200 OK